%global download_id 723
Name:		ascii2mseed
Version:	1.4
Release:	2%{?dist}
License:	GPLv2+
Summary:	Convert simple ASCII data to miniSEED format
Url:		https://seiscode.iris.washington.edu/projects/ascii2mseed
Group:		Applications/File
Source0:	https://seiscode.iris.washington.edu/attachments/download/%{download_id}/ascii2mseed-%{version}.tar.gz

BuildRequires:	libmseed-devel >= 2.16

%description
The ascii2mseed program converts simple time series in ASCII format to
miniSEED.

Two input file types are supported: sample list (SLIST) and time-sample
pair (TSPAIR), see examples in documentation.


%prep
%setup -q


%build
pushd src
# Disable internal library copy by overriding REQCFLAGS and LDFLAGS
make %{?_smp_mflags} \
	CC=gcc CFLAGS="%{optflags}" \
	REQCFLAGS='' LDFLAGS='' \
	all
popd


%install
mkdir -p %{buildroot}%{_bindir}
cp -p ascii2mseed %{buildroot}%{_bindir}

mkdir -p %{buildroot}%{_mandir}/man1
cp -p doc/*.1 %{buildroot}%{_mandir}/man1/


%files
%doc README ChangeLog doc/SimpleASCIITimeseries.txt
%{_bindir}/ascii2mseed
%{_mandir}/man1/*

%changelog
* Thu Feb 18 2016 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.4-2
- Rebuild for Rawhide

* Thu May 28 2015 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.4-1
- New upstream release

* Thu Mar 12 2015 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.2-1
- New upstream release

* Thu Aug 21 2014 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.1-1
- Initial package release
